diff --git a/setup.py b/setup.py
index 2d5d58b..4adc952 100644
--- a/setup.py
+++ b/setup.py
@@ -31,13 +31,6 @@ import shutil
 from distutils.core import setup
 from distutils.command.install_data import install_data
 
-
-#==============================================================================
-# Check for Python 3
-#==============================================================================
-PY3 = sys.version_info[0] == 3
-
-
 #==============================================================================
 # Minimal Python version sanity check
 # Taken from the notebook setup.py -- Modified BSD License
@@ -87,13 +80,8 @@ def get_subpackages(name):
 def get_data_files():
     """Return data_files in a platform dependent manner"""
     if sys.platform.startswith('linux'):
-        if PY3:
-            data_files = [('share/applications', ['scripts/spyder3.desktop']),
-                          ('share/icons', ['img_src/spyder3.png']),
-                          ('share/metainfo', ['scripts/spyder3.appdata.xml'])]
-        else:
-            data_files = [('share/applications', ['scripts/spyder.desktop']),
-                          ('share/icons', ['img_src/spyder.png'])]
+        data_files = [('share/applications', ['scripts/spyder.desktop']),
+                      ('share/icons', ['img_src/spyder.png'])]
     elif os.name == 'nt':
         data_files = [('scripts', ['img_src/spyder.ico',
                                    'img_src/spyder_reset.ico'])]
@@ -131,9 +119,7 @@ CMDCLASS = {'install_data': MyInstallData}
 # See spyder-ide/spyder#1158.
 SCRIPTS = ['%s_win_post_install.py' % NAME]
 
-if PY3 and sys.platform.startswith('linux'):
-    SCRIPTS.append('spyder3')
-else:
+if sys.platform.startswith('linux'):
     SCRIPTS.append('spyder')
 
 if os.name == 'nt':
@@ -269,8 +255,7 @@ if 'setuptools' in sys.modules:
 
     setup_args['entry_points'] = {
         'gui_scripts': [
-            '{} = spyder.app.start:main'.format(
-                'spyder3' if PY3 else 'spyder')
+            '{} = spyder.app.start:main'.format('spyder')
         ]
     }
 
